<Window>
<MacroControl name="MacroControlItem" width="940" height="643">
    <VerticalLayout width="940" height="643" bkcolor="#00ffffff" bkcolor="#00dd00ff" >
		<!-- 标题 -->
		<Text text="macro_manage_text" resourcetext="true" textcolor="#ffffffff" padding="0,0,0,0" font="4"  height="25"/>
		<HorizontalLayout width="940" height="643" bkcolor="#00ffffff" bkcolor="#00dd00ff" >
			<VerticalLayout name="macro_catalogue_layout" width="241" height="480" bkimage="macro/macro_name_bk.png" padding="0,16,0,0" visible="true" >
				<HorizontalLayout padding="21,24,0,0" visible="true" height="22"  >
					<Text text="macro_catalogue_text" resourcetext="true" textcolor="#ffffffff" padding="0,0,0,0" font="3" width="98" height="22"/>
					<Button name="macro_btn_name_add" textcolor="#FF000000" tooltip="macro_btn_name_add_text"
							normalimage="file='macro/macro_add_normal.png'"
							hotimage="file='macro/macro_add_select.png'"
							pushedimage="file='macro/macro_add_select.png'"
							disabledimage="file='macro/macro_add_select.png'"
							width="20" height="20" resourcetext="true" padding="16,0,0,0"/>	
					<Button name="macro_btn_import" tooltip="macro_btn_import_text" padding="16,0,0,0"
							resourcetext="true"
							normalimage="file='macro/macro_import_narmal.png'"
							hotimage="file='macro/macro_import_select.png'"
							pushedimage="file='macro/macro_import_select.png'" 
							disabledimage="file='macro/macro_import_select.png'"
							width="20" height="20"/>	
					<Button name="macro_btn_export" resourcetext="true" tooltip="macro_btn_export_text" padding="16,0,0,0" 	enabled="false"				
							normalimage="file='macro/macro_export_narmal.png'"
							hotimage="file='macro/macro_export_select.png'"
							pushedimage="file='macro/macro_export_select.png'" 
							disabledimage="file='macro/macro_export_select.png'" 
							width="20" height="20"/>
				</HorizontalLayout>
				<VerticalLayout name="macro_name_list_layout" padding="21,17,0,0" visible="true" height="416" vscrollbar="true"  >

				</VerticalLayout>
			</VerticalLayout>
			<VerticalLayout width="588" height="480"  padding="26,16,0,0" visible="true" >
				<VerticalLayout  name="macro_content_layout" width="588" height="408" bkimage="macro/macro_action_bk.png"  visible="true" >
					<HorizontalLayout name="macro_action_operation_layout" padding="29,24,0,0" visible="true" height="22"  enabled="true" >
						<Text text="macro_content_text" resourcetext="true" textcolor="#ffffffff" padding="0,0,0,0" font="3" width="100" height="22"/>
						<Button name="macro_btn_revoke" textcolor="#ffffffff" tooltip="macro_btn_revoke_text" text="macro_btn_revoke_text" textpadding="16,0,0,0" enabled="false" font="11"endellipsis="true"
								normalimage="file='macro/macro_revoke_normal.png'"
								hotimage="file='macro/macro_revoke_select.png'"
								pushedimage="file='macro/macro_revoke_select.png'"
								disabledimage="file='macro/macro_revoke_select.png'"
								width="97" height="16" resourcetext="true" padding="200,3,0,0"/>	
						<Button name="macro_btn_deleteall" textcolor="#ffffffff"  padding="5,0,0,0" resourcetext="true" tooltip="macro_btn_deleteall_text" enabled="true"	
								width="22" height="22"		
								normalimage="macro/macro_clear_normal.png"
								hotimage="macro/macro_clear_select.png"
								pushedimage="macro/macro_clear_select.png"
								disabledimage="macro/macro_clear_select.png"/>
					</HorizontalLayout>
					<TileLayout name="macro_action_list_layout"  padding="43,38,0,0" visible="true" width="520" height="291" vscrollbar="true" columns="2" align="left"  bkcolor="#00ff0000">
						<!-- <HorizontalLayout name="MacroActionControlItemLayout"  height="20" padding="0,0,0,0" visible="true" >		 -->
							<!-- <Text name="macro_action_key_text"  text="keyboard_key_A"  width="86" height="20" textcolor="#ffffffff" padding="0,0,0,0" resourcetext="true" /> -->
							<!-- <Label name="macro_action_ico"  bkimage="macro/macro_action_down_ico_normal.png"   width="12" height="12" padding="0,4,0,0" /> -->
							<!-- <Text name="macro_action_delay_text"  text="99999ms"  width="100" height="20" textcolor="#ffffffff" padding="0,0,0,0" />	 -->
						<!-- </HorizontalLayout>	 -->
						<!-- <HorizontalLayout name="MacroActionControlItemLayout"  height="20" padding="0,0,0,0" visible="true" >		 -->
							<!-- <Text name="macro_action_key_text"  text="keyboard_key_A"  width="86" height="20" textcolor="#ffffffff" padding="0,0,0,0" resourcetext="true" /> -->
							<!-- <Label name="macro_action_ico"  bkimage="macro/macro_action_down_ico_normal.png"   width="12" height="12" padding="0,4,0,0" /> -->
							<!-- <Text name="macro_action_delay_text"  text="99999ms"  width="100" height="20" textcolor="#ffffffff" padding="0,0,0,0" />	 -->
						<!-- </HorizontalLayout>	 -->
					</TileLayout>
				</VerticalLayout>
				<HorizontalLayout name="" width="588" height="56" padding="0,15,0,0" visible="true" bkimage="macro/macro_operation_bk.png" >	
					<CheckBox name="macro_redio_checkbox" style="checkbox_macro_redio_style" width="124" text="macro_btn_star_redio_text"  
					tooltip="macro_btn_star_redio_text"					endellipsis="true"
					align="left"  resourcetext="true" height="20"  font="2" textpadding="28,0,0,0" textcolor="#ffffffff" padding="29,18,0,0" enabled="false" />		
					<HorizontalLayout name="macro_redio_operation_layout" width="588" height="56" padding="0,0,0,0" visible="true"  >						
						<Button name="macro_btn_insert" tooltip="macro_btn_insert_text" textcolor="#ffffffff"  padding="9,20,0,0" resourcetext="true" text="macro_btn_insert_text"
									width="84" height="16"		enabled="false"	 textpadding="14,0,0,0" endellipsis="true"
									normalimage="macro/macro_btn_insert_normal.png"
									hotimage="macro/macro_btn_insert_select.png"
									pushedimage="macro/macro_btn_insert_select.png"
									disabledimage="macro/macro_btn_insert_select.png"/>
						<CheckBox name="macro_redio_delay_checkbox"  tooltip="macro_redio_delay_checkbox_text"  style="checkbox_key_style" width="120" text="macro_redio_delay_checkbox_text"  align="left"  resourcetext="true" height="25"  font="2" textpadding="25,0,0,0" group="macro_redio_delay_group" textcolor="#ffffffff" padding="9,16,0,0" endellipsis="true"/>
						<CheckBox name="macro_redio_customize_delay_checkbox" tooltip="macro_redio_customize_delay_checkbox_text" style="checkbox_key_style" width="71" text="macro_redio_customize_delay_checkbox_text"  align="left"  resourcetext="true" height="25"  font="2" textpadding="25,0,0,0" group="macro_redio_delay_group" textcolor="#ffffffff" padding="5,16,0,0"
						endellipsis="true"/>
						<HorizontalLayout name="" width="34" height="25" padding="0,16,0,0" visible="true" bkimage="macro/macro_fixed_time_edit_bk.png" >
							<Edit name="macro_fixed_time_edit" text="10" height="21" style="edit_style" numberonly="true" maxchar="3" padding="2,2,0,0" width="30"/>
						</HorizontalLayout>	
						<Label style="label_style" text="ms" width="20" height="20" visible="true" padding="7,18,0,0"/>
					</HorizontalLayout>	
				</HorizontalLayout>	
			</VerticalLayout>
			
			
			
			
			
			
			
			<HorizontalLayout width="770" height="583" bkimage="macro/macro_bg.png" padding="0,0,0,0" visible="false" >
				<!-- 宏列表 -->
				<VerticalLayout name="macro_name_tab" width="177" height="583" bordersize="0" bkcolor="#00ffffff" padding="15,0,0,0" bordercolor="#FF333333">
					<!--宏名列表-->
					<ListEx name="macro_name_list" vscrollbar="true" hscrollbar="false" style="list_style" itemalign="center" scrollstepsize="50" height="179" padding="0,28,0,0">
						<ListHeader height="31" menu="true" mouse="false">
							<ListContainerHeaderItem text="macro_name_label_text" width="177" height="28" mouse="false" textcolor="#FFFFFFFF"
													resourcetext="true"
													editable="true"
													sepwidth="1"/>
						</ListHeader>
					</ListEx>
					<!--鼠标事件 宏名列表-->
					<VerticalLayout width="177" height="260"  padding="0,10,0,0">
						<!--鼠标事件-->
						<VerticalLayout width="177" height="150" name="mouse_move_layout" enabled="false">
							<Label  text="macro_btn_shubiao" textcolor="#FFdadada" resourcetext="true" width="177" height="20" textpadding="0,0,0,0"/>	
							<VerticalLayout  width="177" padding="0,0,0,0"  childpadding="3">
								<HorizontalLayout width="177" height="30" padding="0,0,0,0">
									<Button name="macro_inset_moveleftkey_btn" style="button_style" width="130" height="28" text="mouse_move_to_left_text" align="center"  resourcetext="true" padding="0,1,0,0" />
											
									<Edit name="mouse_x_left_edit" float="false" pos="145,5,0,0" style="edit_style" width="46" height="30" text="1" padding="1,0,0,0" numberonly="true"  min="1" max="255"/>
								</HorizontalLayout>	
								<HorizontalLayout width="177" height="30" >
									<Button name="macro_inset_moverightkey_btn" width="130" style="button_style" height="28" align="center" text="mouse_move_to_right_text" resourcetext="true" padding="0,1,0,0"/>
											
									<Edit name="mouse_x_right_edit" float="false" pos="145,5,0,0" style="edit_style" width="46" height="30" padding="1,0,0,0" text="1" numberonly="true" min="1" max="255"/>
								</HorizontalLayout>
								
								<HorizontalLayout width="177" height="30" >
									<Button name="macro_inset_moveupkey_btn" style="button_style" width="130" height="28" align="center" text="mouse_move_to_up_text" resourcetext="true" padding="0,1,0,0" />
									<Edit name="mouse_y_up_edit" float="false" pos="145,5,0,0" style="edit_style"  width="46" height="30" padding="1,0,0,0"  text="1" numberonly="true" min="1" max="255"/>
								</HorizontalLayout>
								<HorizontalLayout width="177" height="30"  >
									<Button name="macro_inset_movedownkey_btn"  style="button_style" width="130" height="30" align="center" text="mouse_move_to_down_text" resourcetext="true" />
											
									<Edit name="mouse_y_down_edit" float="false" pos="145,5,0,0" style="edit_style" width="46" height="30" padding="1,0,0,0"  text="1" numberonly="true" min="1" max="255"/>
								</HorizontalLayout>														
							</VerticalLayout>
						</VerticalLayout>
						<Edit name="macro_edit_macroname" style="edit_style" noprefix="true"  height="30"  width="177" padding="0,34,0,0" maxchar="10"/>
	
					</VerticalLayout>
					
				</VerticalLayout>
	
				<!-- 右侧 -->
				<VerticalLayout name="macro_action_layout" bkcolor="#00ffffff" enabled="false" width="542" height="462" padding="13,28,0,0" bordercolor="#FF333333"  bordersize="0">
					<!-- 动作列表 -->
					<HorizontalLayout width="542" height="403" bordersize="0" bordercolor="#FF333333">
						<!--宏列表-->
						<List name="macro_action_list" width="542" height="403" vscrollbar="true" style="list_style" itemvalign="vcenter" scrollstepsize="30" bordersize="1" bordercolor="#FF333333" inset="1,0,1,1">
							<!-- 列表头 -->
							<ListHeader width="542" height="26" menu="true" mouse="false" bordercolor="#FF2a2b2a"
										bordersize="1">
								<ListHeaderItem text="macro_list_header_key_text" mouse="false" textcolor="#FFdadada" bkcolor="#FF009089" scale="40"
												bordercolor="#FF2a2b2a" bordersize="0,1,1,1" sepwidth="1" resourcetext="true"/>
								<ListHeaderItem text="macro_list_header_action_text" mouse="false" textcolor="#FFdadada" bkcolor="#FF009089" scale="30"
												bordercolor="#FF2a2b2a" bordersize="0,1,1,1" sepwidth="1" resourcetext="true"/>
								<ListHeaderItem text="macro_list_header_delay_text" mouse="false" textcolor="#FFdadada" bkcolor="#FF009089" scale="30"
												bordercolor="#FF2a2b2a" bordersize="0,1,0,1" sepwidth="1" resourcetext="true"/>
							</ListHeader>
						</List>
						<!-- 操作 -->					
					</HorizontalLayout>
					<!--宏动作操作-->
					<HorizontalLayout width="542" height="30" bkcolor="#FF17393c" padding="0,10,0,0">
											<!-- 开始/停止录制 -->
					<VerticalLayout width="55" height="30"  padding="0,0,0,0">
						<Button name="macro_btn_starredio" text="macro_btn_star_redio_text" 
								width="84" height="30" padding="0,0,0,0" resourcetext="true"
								normalimage="macro/rec_normal.png"
								hotimage="macro/rec_normal.png"
								pushedimage="macro/rec_normal.png"
								disabledimage="macro/rec_normal.png"/>
						<RedioMacroButton name="macro_btn_stopredio" text="macro_btn_stop_redio_text" visible="false"
								width="84" height="30" padding="0,0,0,0" resourcetext="true" 
								redioimage="macro/stop_normal.png"
								normalimage="macro/stop_normal.png"
								hotimage="macro/stop_normal.png"
								pushedimage="macro/stop_normal.png"
								disabledimage="macro/stop_normal.png"/>
					</VerticalLayout>
						<!--录制选项-->
						<HorizontalLayout width="240" height="30" name="macro_tab_macrodelay_edit" padding="10,0,0,0">
							<!-- 录制选项 -->
							<HorizontalLayout width="240" height="30" bkcolor="#00ffffff" padding="0,0,0,0">
								<HorizontalLayout width="240" height="30">
									<CheckBox name="macro_check_time" style="checkbox_style" style="label_style" width="140" text="redio_constant_time" align="left" padding="0,0,0,0" resourcetext="true" height="30" padding="1,2,0,0" textpadding="17,0,0,0"/>
									<Edit name="macro_fixed_time_edit1" text="10" height="28" style="edit_style" numberonly="true" maxchar="5" padding="0,1,0,0" width="55"/>
									<Label style="label_style" text="ms" width="30" height="29" visible="true" padding="2,1,0,0"/>
							</HorizontalLayout>
							</HorizontalLayout>
						</HorizontalLayout>
						<!--宏动作的操作-->
						<HorizontalLayout name="macro_tab_macroaction_edit" width="260" padding="5,0,0,0"  childpadding="2">
							<!-- <Control /> -->
							<Button name="macro_btn_uptop" textcolor="#FF000000" textpadding="6,0,6,0" width="30" padding="5,0,0,0"
									height="30"
									resourcetext="true"
									tooltip="macro_btn_uptop_text"
									normalimage="macro/up_top_normal.png"
									hotimage="macro/up_top_over.png"
									pushedimage="macro/up_top_pushed.png"
									disabledimage="macro/up_top_disabled.png"/>
								
							<Button name="macro_btn_up" textcolor="#FF000000" textpadding="6,0,6,0" width="30" padding="5,0,0,0"
									height="30"
									resourcetext="true"
									tooltip="macro_btn_up_text"
									normalimage="macro/up_normal.png"
									hotimage="macro/up_over.png"
									pushedimage="macro/up_pushed.png"
									disabledimage="macro/up_disabled.png"/>   
							<Button name="macro_btn_down" textcolor="#FF000000" textpadding="6,0,6,0" width="30" padding="5,0,0,0"
									height="30"
									resourcetext="true"
									tooltip="macro_btn_down_text"
									normalimage="macro/down_normal.png"
									hotimage="macro/down_over.png"
									pushedimage="macro/down_pushed.png"
									disabledimage="macro/down_disabled.png"/>
							<Button name="macro_btn_downbottom" textcolor="#FF000000" textpadding="6,0,6,0" padding="5,0,0,0"
									width="30" height="30"
									resourcetext="true"
									tooltip="macro_btn_downbottom_text"
									normalimage="macro/down_bottom_normal.png"
									hotimage="macro/down_bottom_over.png"
									pushedimage="macro/down_bottom_pushed.png"
									disabledimage="macro/down_bottom_disabled.png"/>
							<Button name="macro_btn_delete" textcolor="#FF000000" textpadding="6,0,6,0" padding="5,0,0,0"
									width="30" height="30"
									resourcetext="true"
									tooltip="profile_delete_text"
									normalimage="macro/delete_normal.png"
									hotimage="macro/delete_over.png"
									pushedimage="macro/delete_pushed.png"
									disabledimage="macro/delete_disabled.png"/>
							<Button name="macro_btn_deleteall" textcolor="#FF000000" textpadding="6,0,6,0" padding="5,0,0,0"
									width="30" height="30"
									resourcetext="true"
									tooltip="macro_btn_deleteall_text"
									normalimage="macro/clear_normal.png"
									hotimage="macro/clear_over.png"
									pushedimage="macro/clear_pushed.png"
									disabledimage="macro/clear_disabled.png"/>
										
							<Button name="macro_btn_save" resourcetext="true" visible="false" padding="5,0,0,0"
									tooltip="macro_btn_save_text"
									normalimage="common/profile_save_normal.png"
									hotimage="common/profile_save_hot.png"
									pushedimage="common/profile_save_down.png"
									disabledimage="common/profile_save_disable.png"
									width="30" height="30"/>
							<Button name="macro_btn_cancel" resourcetext="true" visible="false" padding="6,0,0,0"
									resourcetext="true"
									tooltip="macro_btn_no_save_text"
									normalimage="common/profile_cancel_normal.png"
									hotimage="common/profile_cancel_hot.png"
									pushedimage="common/profile_cancel_down.png"
									disabledimage="common/profile_cancel_disable.png"
									width="30" height="30"/>
							<Control whith="20" />
								<!--鼠标事件-->						
						</HorizontalLayout>
						
					</HorizontalLayout>																			
				</VerticalLayout>            
			</HorizontalLayout>
		</HorizontalLayout>
    </VerticalLayout>
</MacroControl>
</Window>